:root {
    /* Colors */
    --page-background: #FFFDFB;
    --text-color: #504545;
    --green: #5C7348;
    --white: #FFFFFF;
    --white-highlight: #F7F4F4;
    --border-light: #E8E5E2;
    --border-dark: #526542;

    /* Dimensions */
    --page-padding: 64px;
    --section-gap: 96px;
    --border: 1px solid var(--border-light);
    --radius: 40px;
    --radius-small: 12px;

    /* Typography */
    --font-size: 16px;
    --line-height: 1.4;
    --title-font-size: 48px;
    --title-line-height: 1.1;
    --sm-title-font-size: 32px;
    --sm-title-line-height: 1.1;
    --label-font-size: 24px;
    --label-line-height: 1.1;

    /* Animations */
    --transition: all .1s ease-in-out;
}

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background-color: var(--page-background);
    font-family: 'Radio canada', sans-serif;
    font-size: var(--font-size);
    line-height: var(--line-height);
    color: var(--text-color);
}

header,
main,
footer {
    width: 100%;
    max-width: 1920px;
    margin-left: auto;
    margin-right: auto;
    padding-left: var(--page-padding);
    padding-right: var(--page-padding);
}

.digiplatvorm__block {
    margin-top: var(--section-gap);
    margin-bottom: var(--section-gap);
}

.digiplatvorm__block:first-child {
    margin-top: 32px;
}

.digiplatvorm__block:last-child {
    margin-bottom: var(--section-gap);
}

.button {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    width: max-content;
    max-width: 100%;
    padding: 16px 24px;
    background-color: var(--white);
    border-radius: var(--radius-small);
    border: var(--border);
    color: var(--text-color);
    text-decoration: none;
    cursor: pointer;
    font-size: var(--font-size);
    line-height: var(--line-height);
    font-weight: 500;
    transition: var(--transition);
}

.button:hover {
    transform: translateY(-4px);
}

.button svg {
    --size: 24px;
    width: var(--size);
    height: var(--size);
    min-width: var(--size);
    min-height: var(--size);
    fill: var(--text-color);
}

.form_wrap {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.form_wrap .field_wrap,
.form_wrap .field_wrap .wpcf7-form-control-wrap {
    display: flex;
    flex-direction: column;
    gap: 8px 16px;
    width: 100%;
}

.form_wrap .field_wrap.submit_wrap {
    gap: 16px;
}

.form_wrap .double {
    display: flex;
    gap: 24px;
}

.form_wrap .wpcf7-list-item {
    margin: 0;
}

.form_wrap .wpcf7-spinner {
    display: none;
}

.form_wrap .field_label,
.form_wrap .form_field {
    font-size: var(--font-size);
    line-height: var(--line-height);
    color: var(--text-color);
    font-weight: 400;
    width: 100%;
}

.form_wrap .form_field {
    padding: 16px;
    background-color: var(--white);
    border: var(--border);
    border-radius: var(--radius-small);
    transition: var(--transition);
}

.form_wrap .form_field:focus {
    outline: none;
    box-shadow: none;
    border-color: var(--green);
}

.form_wrap .form_field:invalid {
    border-color: red;
}

.form_wrap .form_field::placeholder {
    color: var(--text-color);
    opacity: .75;
}

.form_wrap textarea.form_field {
    resize: none;
    height: 192px;
}

.form_wrap .button {
    background-color: var(--green);
    border-color: var(--green);
    color: var(--white);
}

header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 24px;
    padding-bottom: 24px;
    border-bottom: var(--border);
}

#header-menu {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    gap: 16px;
}

#header-menu a {
    font-size: var(--font-size);
    line-height: var(--line-height);
    color: var(--text-color);
    text-decoration: none;
    font-weight: 500;
}

#header-menu li:not(.button) a {
    padding: 8px 16px;
}

#header-menu .button {
    background-color: var(--green);
    border-color: var(--green);
    padding: 0;
}

#header-menu .button a {
    color: var(--white);
    padding: 16px 24px;
}

#header-menu .current-menu-item a {
    font-weight: 700;
}

#header-menu .current-menu-item:not(.button) a,
#header-menu li:not(.button):hover a {
    text-decoration: underline;
}

footer {
    position: relative;
    margin-top: auto;
    padding: 64px;
    display: flex;
    align-items: center;
    justify-content: center;
}

footer::after {
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100vw;
    height: 100%;
    border-top: var(--border);
}

footer>* {
    z-index: 1;
}

.footer_list {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 64px;
}

.footer_list .list_item {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.footer_list .list_item a,
.footer_list .list_item p {
    font-size: var(--font-size);
    line-height: var(--line-height);
    color: var(--text-color);
    margin: 0;
    text-decoration: none;
}

.footer_list .list_item a:hover {
    text-decoration: underline;
    color: var(--green);
}

.footer_list .list_item svg {
    --size: 24px;
    width: var(--size);
    height: var(--size);
    min-width: var(--size);
    min-height: var(--size);
    fill: var(--text-color);
}